%define ghc_ver %(ghc --version | sed "s|.*version ||")
%define pkg_name %(echo %name | sed "s|^ghc-||")
Name:          ghc-hscolour
Version:       1.25
Release:       1mamba
Summary:       A small Haskell script to colourise Haskell code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/packages/archive/hscolour/%{version}/hscolour-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libnuma-devel
## AUTOBUILDREQ-END
BuildRequires: ghc >= 9
Requires:      ghc = %{ghc_ver}

%description
hscolour is a small Haskell script to colourise Haskell code. It currently has six output formats: ANSI terminal codes (optionally XTerm-256colour codes), HTML 3.2 with font tags, HTML 4.01 with CSS, HTML 4.01 with CSS and mouseover annotations, XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat codes.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
	
%description devel
This package provides the Haskell %{pkg_name} library development files.
	
%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
	
%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%package -n %{pkg_name}
Group:         Applications/Development
Summary:       A small Haskell script to colourise Haskell code

%description -n %{pkg_name}
hscolour is a small Haskell script to colourise Haskell code. It currently has six output formats: ANSI terminal codes (optionally XTerm-256colour codes), HTML 3.2 with font tags, HTML 4.01 with CSS, HTML 4.01 with CSS and mouseover annotations, XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat codes.

%prep
%setup -q -n hscolour-%{version}

%build	
%ghc_lib_build
	
%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENCE-LGPL

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENCE-LGPL

%files devel -f %{name}-devel.files

%if %{with haddock}	
%files doc -f %{name}-doc.files
%license LICENCE-LGPL
%endif

%files -n %{pkg_name}
%defattr(-,root,root)
%{_bindir}/HsColour
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/*

%changelog
* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.3-1mamba
- package created by silvan using the webbuild interface
